package com.qianhe.service;

import java.util.List;
import com.qianhe.domain.SjGfjsXjbz;
import com.qianhe.domain.SjGfjsZsdwkhpj;
import com.qianhe.domain.SjGfjsZsdwwtcj;

/**
 * 三基 规范建设 星级班组Service接口
 * 
 * @author qianhe
 * @date 2025-11-28
 */
public interface ISjGfjsXjbzService 
{
    /**
     * 查询三基 规范建设 星级班组
     * 
     * @param id 三基 规范建设 星级班组主键
     * @return 三基 规范建设 星级班组
     */
    public SjGfjsXjbz selectSjGfjsXjbzById(Long id);

    /**
     * 查询三基 规范建设 星级班组列表
     * 
     * @param sjGfjsXjbz 三基 规范建设 星级班组
     * @return 三基 规范建设 星级班组集合
     */
    public List<SjGfjsXjbz> selectSjGfjsXjbzList(SjGfjsXjbz sjGfjsXjbz);

    /**
     * 新增三基 规范建设 星级班组
     * 
     * @param sjGfjsXjbz 三基 规范建设 星级班组
     * @return 结果
     */
    public int insertSjGfjsXjbz(SjGfjsXjbz sjGfjsXjbz);

    /**
     * 修改三基 规范建设 星级班组
     * 
     * @param sjGfjsXjbz 三基 规范建设 星级班组
     * @return 结果
     */
    public int updateSjGfjsXjbz(SjGfjsXjbz sjGfjsXjbz);

    /**
     * 批量删除三基 规范建设 星级班组
     * 
     * @param ids 需要删除的三基 规范建设 星级班组主键集合
     * @return 结果
     */
    public int deleteSjGfjsXjbzByIds(Long[] ids);

    /**
     * 删除三基 规范建设 星级班组信息
     * 
     * @param id 三基 规范建设 星级班组主键
     * @return 结果
     */
    public int deleteSjGfjsXjbzById(Long id);



    int batchSave(List<SjGfjsXjbz> addList);

    int pledit(List<SjGfjsXjbz> list);
    public int plxg(SjGfjsXjbz s);
}
